AML

Registration

Please select the version of AMLSearch for which you wish to register.

We have detected that you are running an unknown browser and recommend that you register for Version 2.
AML Version 2
 
Select this version if you will use the AMLSearch system from a modern browser that supports HTML5. These include the following:
  • Internet Explorer Version 9+
  • Firefox
  • Google Chrome
  • Apple Safari
  • Android tablet/smartphone
AML Version 1
 
Select this version if you need to use AMLSearch on a legacy system using Internet Explorer Version 8 or lower, or any other browser that does not support the latest HTML5 and CSS3 standards.